Package com.ads.api.beans.common

# Class Document

java.lang.Object
com.ads.api.beans.common.Document

public class Document extends Object
This class provides some beans control methods related to Documents and its related Audit Specifications.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory.
  `String`
  `getDocumentApprovedBy()`
  Returns the documentApprovedBy.
  `Date`
  `getDocumentApprovedDate()`
  Returns the documentApprovedDate.
  `int`
  `getDocumentId()`
  Returns documentId.
  `String`
  `getDocumentIntendedPurpose()`
  Returns the documentIntendedPurpose.
  `String`
  `getDocumentLink()`
  Returns the documentLink, where the Document can be found.
  `String`
  `getDocumentName()`
  Returns the documentName.
  `String`
  `getDocumentObject()`
  Returns the documentObject.
  `String`
  `getDocumentOwner()`
  Returns the DocumentOwner.
  `String`
  `getDocumentReference()`
  Returns the documentReference.
  `String`
  `getDocumentReferenceNumber()`
  Returns the documentReferenceNumber.
  `String`
  `getDocumentStatus()`
  Returns the documentStatus.
  `String`
  `getDocumentType()`
  Returns the Type of the Document.
  `APIConstants.FilePathType`
  `getFilePathType()`
  Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
  `HashMap<String,String>`
  `getUserData()`
  Returns the userData.
  `String`
  `getUserData(String key)`
  Returns the userData.
  `boolean`
  `isApprovalRequired()`
  Returns the boolean value of approvalRequired.
  `Document`
  `setApprovalRequired(boolean approvalRequired)`
  Method sets the approvalRequired as specified.
  `Document`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the documentStatus as specified.
  `Document`
  `setDocumentApprovedBy(String documentApprovedBy)`
  Method sets the documentApprovedBy as specified.
  `Document`
  `setDocumentApprovedDate(Date documentApprovedDate)`
  Method sets the documentApprovedDate as specified.
  `Document`
  `setDocumentId(int documentId)`
  Method to set the documentId as specified.
  `Document`
  `setDocumentIntendedPurpose(String documentIntendedPurpose)`
  Sets the documentIntendedPurpose as specified.
  `Document`
  `setDocumentLink(String documentLink)`
  Sets the documentLink as specified.
  `Document`
  `setDocumentName(String documentName)`
  Method sets the documentName as specified.
  `Document`
  `setDocumentObject(String documentObject)`
  Method sets the documentObject as specified.
  `Document`
  `setDocumentOwner(String documentOwner)`
  Method sets the documentOwner as specified.
  `Document`
  `setDocumentReference(String documentReference)`
  Method sets the documentReference as specified.
  `Document`
  `setDocumentReferenceNumber(String documentReferenceNumber)`
  Method sets the documentReferenceNumber as specified.
  `Document`
  `setDocumentStatus(String documentStatus)`
  Method sets the documentStatus as specified.
  `Document`
  `setDocumentType(String documentType)`
  Method sets the type of the Document.
  `void`
  `setFilePathType(APIConstants.FilePathType filePathType)`
  Method sets the path type for the specified file.
  `Document`
  `setUserData(String key, String val)`
  Method sets the userData as specified.
  `Document`
  `setUserData(HashMap<String,String> userData)`
  Method sets the userData as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Document

    public Document()

- ## Method Details

  - ### getDocumentLink

    public String getDocumentLink()
    Returns the documentLink, where the Document can be found.
    Returns:
      String

  - ### setDocumentLink

    public Document setDocumentLink(String documentLink)
    Sets the documentLink as specified.
    Parameters:
      `documentLink` - String
    Returns:
      Document: Returns the updated document with the currently set document link

  - ### getDocumentName

    public String getDocumentName()
    Returns the documentName.
    Returns:
      documentName String

  - ### setDocumentName

    public Document setDocumentName(String documentName)
    Method sets the documentName as specified.
    Parameters:
      `documentName` - String
    Returns:

  - ### getDocumentType

    public String getDocumentType()
    Returns the Type of the Document.
    Returns:
      documentType String

  - ### setDocumentType

    public Document setDocumentType(String documentType)
    Method sets the type of the Document.
    Parameters:
      `documentType` - String
    Returns:

  - ### getDocumentIntendedPurpose

    public String getDocumentIntendedPurpose()
    Returns the documentIntendedPurpose.
    Returns:
      documentIntendedPurpose String

  - ### setDocumentIntendedPurpose

    public Document setDocumentIntendedPurpose(String documentIntendedPurpose)
    Sets the documentIntendedPurpose as specified.
    Parameters:
      `documentIntendedPurpose` - String
    Returns:

  - ### getDocumentOwner

    public String getDocumentOwner()
    Returns the DocumentOwner.
    Returns:
      documentOwner String

  - ### setDocumentOwner

    public Document setDocumentOwner(String documentOwner)
    Method sets the documentOwner as specified.
    Parameters:
      `documentOwner` - String
    Returns:

  - ### getDocumentId

    public int getDocumentId()
    Returns documentId.
    Returns:
      documentId int

  - ### setDocumentId

    public Document setDocumentId(int documentId)
    Method to set the documentId as specified.
    Parameters:
      `documentId` - int
    Returns:

  - ### getDocumentObject

    public String getDocumentObject()
    Returns the documentObject.
    Returns:
      documentObject String

  - ### setDocumentObject

    public Document setDocumentObject(String documentObject)
    Method sets the documentObject as specified.
    Parameters:
      `documentObject` - String
    Returns:

  - ### getDocumentReference

    public String getDocumentReference()
    Returns the documentReference.
    Returns:
      documentReference String

  - ### setDocumentReference

    public Document setDocumentReference(String documentReference)
    Method sets the documentReference as specified.
    Parameters:
      `documentReference` - String
    Returns:

  - ### getDocumentReferenceNumber

    public String getDocumentReferenceNumber()
    Returns the documentReferenceNumber.
    Returns:
      documentReferenceNumber String

  - ### setDocumentReferenceNumber

    public Document setDocumentReferenceNumber(String documentReferenceNumber)
    Method sets the documentReferenceNumber as specified.
    Parameters:
      `documentReferenceNumber` - String
    Returns:

  - ### isApprovalRequired

    public boolean isApprovalRequired()
    Returns the boolean value of approvalRequired.
    Returns:
      approvalRequired boolean

  - ### setApprovalRequired

    public Document setApprovalRequired(boolean approvalRequired)
    Method sets the approvalRequired as specified.
    Parameters:
      `approvalRequired` - boolean
    Returns:

  - ### getDocumentApprovedBy

    public String getDocumentApprovedBy()
    Returns the documentApprovedBy.
    Returns:
      documentApprovedBy String

  - ### setDocumentApprovedBy

    public Document setDocumentApprovedBy(String documentApprovedBy)
    Method sets the documentApprovedBy as specified.
    Parameters:
      `documentApprovedBy` - String
    Returns:

  - ### getDocumentApprovedDate

    public Date getDocumentApprovedDate()
    Returns the documentApprovedDate.
    Returns:
      documentApprovedDate Date

  - ### setDocumentApprovedDate

    public Document setDocumentApprovedDate(Date documentApprovedDate)
    Method sets the documentApprovedDate as specified.
    Parameters:
      `documentApprovedDate` - Date
    Returns:

  - ### getDocumentStatus

    public String getDocumentStatus()
    Returns the documentStatus.
    Returns:
      documentStatus String

  - ### setDocumentStatus

    public Document setDocumentStatus(String documentStatus)
    Method sets the documentStatus as specified.
    Parameters:
      `documentStatus` - String
    Returns:

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public Document setAuditHistory(AuditHistory auditHistory)
    Method sets the documentStatus as specified.
    Parameters:
      `auditHistory` - AuditHistory
    Returns:

  - ### getUserData

    public HashMap<String,String> getUserData()
    Returns the userData.
    Returns:
      userData HashMap

  - ### setUserData

    public Document setUserData(HashMap<String,String> userData)
    Method sets the userData as specified.
    Parameters:
      `userData` - HashMap
    Returns:

  - ### getUserData

    public String getUserData(String key)
    Returns the userData.
    Parameters:
      `key` - String
    Returns:
      userData String

  - ### setUserData

    public Document setUserData(String key, String val)
    Method sets the userData as specified.
    Parameters:
      `key` - String
      `val` - String
    Returns:

  - ### getFilePathType

    public APIConstants.FilePathType getFilePathType()
    Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
    Returns:
      Enum - FilePathType

  - ### setFilePathType

    public void setFilePathType(APIConstants.FilePathType filePathType)
    Method sets the path type for the specified file.
    Parameters:
      `filePathType` - - Enum : Valid values are ABSOLUTE/RELATIVE